%define uname squidclamav
%define _unpackaged_files_terminate_build 0
%define squidclamav_site http://squidclamav.darold.net/

Name: %{uname}
Epoch: 0
Version: 5.3
Release: 1%{?dist}
Summary: A Clamav Antivirus Redirector for Squid

Group: Networking/Utilities
License: GPLv3+
URL: %{squidclamav_site}
Source0: http://downloads.sourceforge.net/%{uname}/%{uname}-%{version}.tar.gz
BuildRequires:	clamav-devel >= 0.82
BuildRequires:	curl-devel >= 7.12.1
Requires:	squid
BuildRoot:	%(mktemp -ud %{_tmppath}/%{uname}-%{version}-%{release}-XXXXXX)

%description
%{uname} Antivirus redirector for Squid proxy based on the Awards winnings
ClamAv anti-virus toolkit. Using it will help you securing your home or
enterprise network web traffic. SquidClamav is the most efficient Squid
Redirector anti-virus tool for HTTP traffic available for free, it is written
in C and can handle thousand of connections.

%prep
%setup -q

# create README.RPM
%{__cat} > README.RPM << _EOF1_

1. Edit an modify configuration file %{_sysconfdir}/%{uname}.conf to match
   your installation.

2. Create a redirect CGI script or HTML where you want your users to be
   redirected when a virus is found and set the 'redirect' configuration
   directive to that URL. You have a CGI script sample in different languages
   in %{_libexecdir}/%{uname}/

3. If you use squidclamav log remember that squidclamav will run as squid
   user, so the path to %{uname}.log must be writable by this user.

You can have more information on how to configure and use %{uname} by reading
documentation at %{squidclamav_site} or with squidclamav man page.

_EOF1_

%build
%configure --prefix=/usr
%{__make}

%install
%{__rm} -rf %{buildroot}
# set up path structure
%{__install} -d -m 0755 %{buildroot}/%{_bindir}
%{__install} -d -m 0755 %{buildroot}/%{_sysconfdir}
%{__install} -d -m 0755 %{buildroot}/%{_libexecdir}

# Make distrib files
%{__make} install \
        DESTDIR=%{buildroot}

%{__install} -D -m 0644 doc/%{uname}.1 \
    %{buildroot}/%{_mandir}/man1/%{uname}.1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc Change* INSTALL README README.RPM
%attr(0755,root,root) %{_bindir}/%{uname}
%attr(0644,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{uname}.conf
%attr(0644,root,root) %{_mandir}/man1/%{uname}.1.gz
%attr(0644,root,root) %{_datadir}/%{uname}/README
%attr(0755,root,root) %{_libexecdir}/%{uname}/clwarn.cgi
%attr(0755,root,root) %{_libexecdir}/%{uname}/clwarn.cgi.de_DE
%attr(0755,root,root) %{_libexecdir}/%{uname}/clwarn.cgi.en_EN
%attr(0755,root,root) %{_libexecdir}/%{uname}/clwarn.cgi.fr_FR
%attr(0755,root,root) %{_libexecdir}/%{uname}/clwarn.cgi.pt_BR
%attr(0755,root,root) %{_libexecdir}/%{uname}/clwarn.cgi.ru_RU
%dir %{_libexecdir}/%{uname}

%changelog
* Wed Mar  3 2010 Gilles Darold <gilles@darold.net>
- Update to 5.3.
- Add copy of clwarn.cgi.ru_RU into libexecdir.

* Wed Feb 10 2010 Gilles Darold <gilles@darold.net>
- Update to 5.1.

* Wed Jan 27 2010 Gordan Bobic <gordan@bobich.net>
- Update for squidclamav 4.2

* Tue Jan 12 2010 Gordan Bobic <gordan@bobich.net>
- Initial fork from the PLD spec file, update for squidclamav 4.1

